CVE-2008-2809

An updated firefox package that fixes several security issues is now available for various Linux distributions. All Mozilla Firefox users should upgrade to this updated package as update has been rated as having critical security impact.

{ 0 comments }